import { ApplicationCommandType, ChatInputCommandInteraction } from "discord.js";

import Command from "../command";
import { queueRequest } from "../execution";


export default class Summon extends Command {
  name = "summon";
  description = "Summons a bot to reply in chat without sending any message";
  type = ApplicationCommandType.ChatInput;
  dm_permission = false;

  execute(interaction: ChatInputCommandInteraction) {
    return queueRequest(interaction);
  }
}
